/**
 * JSON返回结果集
 * @author liaogr 2015-3-24
 * */
package com.miaxis.common.sign;


public class ProvResultJson {
	private String result;// 操作结果 0 成功 1 失败
	private String msg;// 消息
	private Object object; //传递的对象（用于存放全国统一编码）

	//全国统一编号
	private String inscode;//培训机构编号	统一编号
	private String coachnum;//教练员编号	统一编号
	private String examnum;//考核员编号 	统一编号
	private String secunum;//安全员编号 	统一编号

	private String carnum;//教练车编号	  	统一编号
	private String stunum;//学员编号		统一编号
	private String devnum;//终端编号		统一编号

	private String id;//上传资源 统一返回ID

	private String imei;//如果终端时，为终端IMEI号或设备MAC地址
	private String key;//如果终端时，为终端证书
	private String passwd;//如果终端时，为终端密码

	private String path;//图片路径


	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}


	public String getResult() {
		return result;
	}

	public void setResult(String result) {
		this.result = result;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public Object getObject() {
		return object;
	}

	public void setObject(Object object) {
		this.object = object;
	}

	public String getInscode() {
		return inscode;
	}

	public void setInscode(String inscode) {
		this.inscode = inscode;
	}

	public String getCoachnum() {
		return coachnum;
	}

	public void setCoachnum(String coachnum) {
		this.coachnum = coachnum;
	}

	public String getExamnum() {
		return examnum;
	}

	public void setExamnum(String examnum) {
		this.examnum = examnum;
	}

	public String getSecunum() {
		return secunum;
	}

	public void setSecunum(String secunum) {
		this.secunum = secunum;
	}

	public String getCarnum() {
		return carnum;
	}

	public void setCarnum(String carnum) {
		this.carnum = carnum;
	}

	public String getStunum() {
		return stunum;
	}

	public void setStunum(String stunum) {
		this.stunum = stunum;
	}

	public String getDevnum() {
		return devnum;
	}

	public void setDevnum(String devnum) {
		this.devnum = devnum;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getImei() {
		return imei;
	}

	public void setImei(String imei) {
		this.imei = imei;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getPasswd() {
		return passwd;
	}

	public void setPasswd(String passwd) {
		this.passwd = passwd;
	}

	public ProvResultJson(String msg, String result) {
		this.msg = msg;
		this.result = result;
	}
	public ProvResultJson(){

	}
}
